Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IPluginEntry

All Superinterfaces:
  IAdaptable, IPlatformEnvironment

All Known Implementing Classes:
  PluginEntry

public interface IPluginEntry
extends IPlatformEnvironment, IAdaptable

Plug-in entry defines a packaging reference from a feature to a plug-in. It indicates that the referenced plug-in is to be considered as part of the feature. Note, that this does not necessarily indicate that the plug-in files are packaged together with any other feature files. The actual packaging details are determined by the feature content provider for the feature.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginEntry`, `FeatureContentProvider`

Method Summary
`long` | `getDownloadSize()` Returns the download size of the entry, if it can be determined.
`long` | `getInstallSize()` Returns the install size of the feature, if it can be determined.
`VersionedIdentifier` | `getVersionedIdentifier()` Returns the identifier of this plugin entry
`boolean` | `isFragment()` Returns an indication whethyer this entry represents a fragment.
`void` | `setVersionedIdentifier(VersionedIdentifier identifier)` Sets the identifier of this plugin entry.

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()

  Returns the identifier of this plugin entry

  Returns:
    plugin entry identifier
  Since:
    2.0

### isFragment

    public boolean isFragment()

  Returns an indication whethyer this entry represents a fragment.

  Returns:
    `true` if the entry represents a plug-in fragment, `false` if the entry represents a plug-in
  Since:
    2.0

### getDownloadSize

    public long getDownloadSize()

  Returns the download size of the entry, if it can be determined.

  Returns:
    download size of the feature in KiloBytes, or an indication the size could not be determined
  Since:
    2.0
  See Also:
    `ContentEntryModel.UNKNOWN_SIZE`

### getInstallSize

    public long getInstallSize()

  Returns the install size of the feature, if it can be determined.

  Returns:
    install size of the feature in KiloBytes, or an indication the size could not be determined
  Since:
    2.0
  See Also:
    `ContentEntryModel.UNKNOWN_SIZE`

### setVersionedIdentifier

    public void setVersionedIdentifier(VersionedIdentifier identifier)

  Sets the identifier of this plugin entry. This is typically performed as part of the plug-in entry creation operation. Once set, the identifier should not be reset.

  Parameters:
    `identifier` - plugin entry identifier
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.